
Figure - Bug #118063
【IOVDEV-28798】【内部】【VC1】【0080】【台架/EE环境】【HRYTTESTVINMGM328】【副屏遥控器】
滑动音量条，概现回弹的现象
2023-05-18 18:49 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-18

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏版本：95 usedebug版本

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

1、车机已上电，网络正常

2、车辆处于测试环境

【操作手顺】

1、进入副屏遥控器应用，音量条处于非静音状态

2、滑动音量条按钮

【实际结果】

2、等待几秒中，音量条会回弹到之前的参数

【期望结果】

2、不会回弹

【复归方法】无

【复现率】5/5

测试时间：20230517 17：06

副屏版本：95 usedebug版本

副屏和主屏的日志请见附件，测试视频请见附件

History

#1 - 2023-05-18 18:49 - CDTS_Test 吴诗雨

17：06~17：07时间点只发送了一次音量调节

Line 457971: 05-17 17:07:06.842 D/RemoteControlClient_SocketMessageUtil(28170): Send message to service finished. direction: 1, messageType: 19, json:

{"type":"music","source":0,"token":"ki0sCMqFgE3bJZf","value":7}

麻烦协调遥控器SDK同事帮忙分析一下回弹问题

#2 - 2023-05-18 21:00 - CDTS-TEST 周婷

- Priority changed from Normal to High

- Severity changed from Normal to Major

#3 - 2023-05-19 14:49 - CD FW-程天颖
- Assignee changed from CD FW-程天颖 to CD FW-廖涛

#4 - 2023-05-19 15:39 - CD FW-廖涛

- Status changed from New to NEED_INFO

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

■ Current conclusion

从副屏的日志看，在 17:06 - 17:07 之间，接收到 10 次设置音量的请求。

从中控的日志看，日志出现的断层，如下：

05-17 17:06:27.878 D/CompatibilityChangeReporter( 1280): Compat change id reported: 143937733; UID 10043; state: ENABLED

05-17 17:06:27.879 D/JobScheduler( 1280): pending queue: 0 jobs.

05-17 17:06:27.879 D/JobScheduler( 1280): Pending queue: 

05-17 17:06:56.149 I/ActivityManager( 1280): Process com.hryt.whud (pid 27799) has died: cch+5 CEM 

05-17 17:06:56.149 I/Zygote  (  443): Process 27799 exited due to signal 9 (Killed)

05-17 17:06:56.149 I/ActivityManager( 1280): App has been killed ProcessRecord{dee15c1 27799:com.hryt.whud/u0a43}

05-17 17:06:56.149 I/ActivityManager( 1280): Process: com.hryt.whud is in restart white list, should restart it.

05-17 17:06:56.149 I/libprocessgroup( 1280): Successfully killed process cgroup uid 10043 pid 27799 in 0ms

从问题视频看，因为仅仅是遥控器底部的音量条变化，应该和副屏没有关系，副屏同步音量给中控，中控应该会展示左侧的音量条。

■ Next action

测试确认并同步客户。

#5 - 2023-05-23 19:37 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED

#6 - 2023-05-23 19:37 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#7 - 2023-05-23 19:37 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

飞书20230517-171049.mp4 9.59 MB 2023-05-18 CDTS_Test 吴诗雨

副屏-17-06.log 2.52 MB 2023-05-18 CDTS_Test 吴诗雨

主屏-17-06.7z 2.4 MB 2023-05-18 CDTS_Test 吴诗雨
